/* -*-C-*- xtypes.h */
/**********************************************************************/
/******************************* types ********************************/
/**********************************************************************/

#ifndef TYPES_H_DEFINED__
#define TYPES_H_DEFINED__

/***********************************************************************
This file includes the system types.h file, which does not have
a standard location.  Primos does not even have one.
***********************************************************************/

#if    (OS_ATARI | OS_VAXVMS | OS_VMCMS)
#define NO_SYS_DIR	1
#endif /* (OS_ATARI | OS_VAXVMS | OS_VMCMS) */

#if    KCC_20
#if    STDC				/* then KCC version 6 or later */
#else					/* KCC version 5 or earlier */
#define NO_SYS_DIR	1
#endif /* STDC */
#endif /* KCC_20 */

#if    OS_PRIMOS
#else /* OS_PRIMOS */
#ifdef NO_SYS_DIR
#include <types.h>
#undef NO_SYS_DIR
#else /* NOT NO_SYS_DIR */
#include <sys/types.h>
#endif /* NO_SYS_DIR */
#endif /* OS_PRIMOS */

#endif /* TYPES_H_DEFINED__ */
